Public Class BeschreibungSeparator
    Implements IAMBeschreibungsElement
    Public Event Changed() Implements IAMBeschreibungsElement.Changed
    Private m_VisibleState As VisibleStates = VisibleStates.Enabled
    Public ReadOnly Property Typ() As AMBeschreibungsElementTypen Implements IAMBeschreibungsElement.Typ
        Get
            Return AMBeschreibungsElementTypen.Separator
        End Get
    End Property
    Private m_Visible As Boolean = True
    Public Property Visible() As Boolean Implements IAMBeschreibungsElement.MenueVisible
        Get
            Return m_Visible
        End Get
        Set(ByVal value As Boolean)
            If m_Visible <> value Then
                m_Visible = value
                RaiseEvent Changed()
            End If
        End Set
    End Property

    Public Function CreateElemente() As System.Collections.Generic.List(Of ToolStripItem) Implements IAMBeschreibungsElement.CreateElemente
        Dim Liste As New List(Of ToolStripItem)
        Liste.Add(New AMToolStripSeparator(Me))
        Return Liste
    End Function

    Public Property VisibleState() As VisibleStates Implements IAMBeschreibungsElement.VisibleState
        Get
            Return m_VisibleState
        End Get
        Set(ByVal value As VisibleStates)
            If m_VisibleState <> value Then
                m_VisibleState = value
                RaiseEvent Changed()
            End If
        End Set
    End Property
End Class
