Public Class AktionsButton
    Inherits Button
    Private WithEvents m_Aktion As BeschreibungAktion

    ReadOnly Property TippText() As String
        Get
            Return m_Aktion.Beschreibung
        End Get
    End Property

    WriteOnly Property Aktion() As BeschreibungAktion
        Set(ByVal value As BeschreibungAktion)
            m_Aktion = value
            Einstellen()
        End Set
    End Property

    Private Sub AktionsButton_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Click
        m_Aktion.DoAction()
    End Sub

    Private Sub Einstellen()

        If m_Aktion.Visible Then
            Select Case m_Aktion.VisibleState
                Case VisibleStates.Disabled
                    Me.Enabled = False
                    Me.Visible = True
                Case VisibleStates.Enabled
                    Me.Enabled = True
                    Me.Visible = True
                Case VisibleStates.Invisible
                    Me.Visible = False
            End Select
        Else
            Me.Visible = True
            Me.Enabled = False
        End If

        If Me.Text <> m_Aktion.Text Then
            Me.Text = m_Aktion.Text
        End If

    End Sub
    Private Sub m_Aktion_Changed() Handles m_Aktion.Changed
        Einstellen()
    End Sub
End Class

