Public Class SummenBerechnerFuerOstAbschlag
    Private m_AusgangsBetrag As Decimal = CDec(0)
    Private m_SummeOhneOstAbschlag As Decimal = CDec(0)
    Private m_OstAbschlag As Decimal = CDec(0)
    Private m_Ergebnis As Decimal = CDec(0)
    Private m_OstAbschlag_verwenden As Boolean = True

    Public Event Geaendert()
    Public Sub New(ByVal xOstAbschlag_verwenden As Boolean)
        m_OstAbschlag_verwenden = xOstAbschlag_verwenden
    End Sub
    WriteOnly Property AusgangsBetrag() As Decimal
        Set(ByVal Value As Decimal)
            m_AusgangsBetrag = Value
            Berechnen()
        End Set
    End Property
    Property OstAbschlag_verwenden() As Boolean
        Get
            Return m_OstAbschlag_verwenden
        End Get
        Set(ByVal Value As Boolean)
            m_OstAbschlag_verwenden = Value
            Berechnen()
        End Set
    End Property
    ReadOnly Property SummeOhneOstAbschlag() As Decimal
        Get
            Return m_SummeOhneOstAbschlag
        End Get
    End Property
    ReadOnly Property OstAbschlag() As Decimal
        Get
            Return m_OstAbschlag
        End Get
    End Property
    ReadOnly Property Ergebnis() As Decimal
        Get
            Return m_Ergebnis
        End Get
    End Property
    Private Sub Berechnen()
        Dim EventAusloesen As Boolean = False
        If m_SummeOhneOstAbschlag <> m_AusgangsBetrag Then
            m_SummeOhneOstAbschlag = m_AusgangsBetrag
            EventAusloesen = True
        End If
        Dim ZOstAbschlag As Decimal
        Dim ZErgebnis As Decimal
        If m_OstAbschlag_verwenden Then
            ZOstAbschlag = Math.Round((m_SummeOhneOstAbschlag / CDec(10)), 2)
            ZErgebnis = m_SummeOhneOstAbschlag - ZOstAbschlag
        Else
            ZOstAbschlag = CDec(0)
            ZErgebnis = m_SummeOhneOstAbschlag
        End If
        If ZOstAbschlag <> m_OstAbschlag Then
            m_OstAbschlag = ZOstAbschlag
            EventAusloesen = True
        End If
        If ZErgebnis <> m_Ergebnis Then
            m_Ergebnis = ZErgebnis
            EventAusloesen = True
        End If
        If EventAusloesen Then
            RaiseEvent Geaendert()
        End If
    End Sub
End Class
