Imports System.Windows.Forms
Public Class DiagnosenDataGridTableStyle
    Inherits DataGridTableStyle
    Private m_ColDatum As DataGridDatumColumn
    Private m_ColEintrag As DiagnosenDataGridICDAuswahlColumn
    Private m_ColText As DiagnosenDataGridTextColumn
    ReadOnly Property ColDatum() As DataGridDatumColumn
        Get
            Return m_ColDatum
        End Get
    End Property
    ReadOnly Property ColEintrag() As DiagnosenDataGridICDAuswahlColumn
        Get
            Return m_ColEintrag
        End Get
    End Property
    ReadOnly Property ColText() As DiagnosenDataGridTextColumn
        Get
            Return m_ColText
        End Get
    End Property
    Public Sub New(ByVal xListe As DiagnosenDataGridListe)
        Me.MappingName = "DiagnosenDataGridListe"

        m_ColDatum = New DataGridDatumColumn
        m_ColDatum.MappingName = "Datum"
        m_ColDatum.HeaderText = "Datum"
        m_ColDatum.Width = 75
        m_ColDatum.Format = "d"
        Me.GridColumnStyles.Add(m_ColDatum)

        m_ColEintrag = New DiagnosenDataGridICDAuswahlColumn(xListe)
        m_ColEintrag.MappingName = "Diagnose"
        m_ColEintrag.HeaderText = "ICD"
        m_ColEintrag.Width = 50
        Me.GridColumnStyles.Add(m_ColEintrag)

        m_ColText = New DiagnosenDataGridTextColumn(xListe)
        m_ColText.MappingName = "Text"
        m_ColText.HeaderText = "Text"
        m_ColText.Width = 200
        Me.GridColumnStyles.Add(m_ColText)

    End Sub
End Class
