Public Class frm_Kontenbearbeiten
    Private Liste_Konten As KontoListe
    Private Initialisierung As Boolean = False
    Private ListboxWechsel As Boolean = False

#Region " Constructor "
    Public Sub New(ByVal Liste_Konten As KontoListe)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.Liste_Konten = Liste_Konten
        Me.ListBoxKonten.Items.AddRange(Liste_Konten.ToArray)
        ListBoxKonten.SelectedItem = Liste_Konten.Aktuelles_Konto
    End Sub
    Private Sub frm_Kontenbearbeiten_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.Icon = My.Resources.bdb2
    End Sub
#End Region

#Region " Text-ListBoxAuswahl "
    Private Sub ListBoxKonten_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ListBoxKonten.SelectedIndexChanged
        If ListboxWechsel Then Exit Sub
        If ListBoxKonten.SelectedIndex = -1 Then Exit Sub
        Initialisierung = True
        Dim Kto As Konto = ListBoxKonten.SelectedItem
        Liste_Konten.Aktuelles_Konto = Kto
        Me.TextBoxKtoName.Text = Kto.Name
        Me.TextBoxBank.Text = Kto.Bank
        Me.TextBoxBLZ.Text = Kto.BLZ
        Me.TextBoxKtoNr.Text = Kto.KtoNr
        Initialisierung = False
        Buttons_Enabled_Anpassen()
    End Sub
    Private Sub TextBoxKtoName_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxKtoName.TextChanged
        If Initialisierung Then Exit Sub
        Dim Kto As Konto = ListBoxKonten.SelectedItem
        Kto.Name = TextBoxKtoName.Text
        ListboxWechsel = True
        Dim Merkindex As Integer = ListBoxKonten.SelectedIndex
        ListBoxKonten.Items.RemoveAt(Merkindex)
        ListBoxKonten.Items.Insert(Merkindex, Kto)
        ListBoxKonten.SelectedIndex = Merkindex
        ListboxWechsel = False
    End Sub
    Private Sub TextBoxKtoNr_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxKtoNr.TextChanged
        If Initialisierung Then Exit Sub
        Dim Kto As Konto = ListBoxKonten.SelectedItem
        Kto.KtoNr = TextBoxKtoNr.Text
    End Sub

    Private Sub TextBoxBLZ_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxBLZ.TextChanged
        If Initialisierung Then Exit Sub
        Dim Kto As Konto = ListBoxKonten.SelectedItem
        Kto.BLZ = TextBoxBLZ.Text
    End Sub

    Private Sub TextBoxBank_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxBank.TextChanged
        If Initialisierung Then Exit Sub
        Dim Kto As Konto = ListBoxKonten.SelectedItem
        Kto.Bank = TextBoxBank.Text
    End Sub
#End Region

#Region " Buttons "
    Private Sub Buttons_Enabled_Anpassen()
        If ListBoxKonten.Items.Count = 1 Then
            Me.ButtonLoeschen.Enabled = False
            Me.ButtonNO.Enabled = False
            Me.ButtonNU.Enabled = False
        Else
            ButtonLoeschen.Enabled = True
            Select Case ListBoxKonten.SelectedIndex
                Case 0
                    ButtonNO.Enabled = False
                    ButtonNU.Enabled = True
                Case ListBoxKonten.Items.Count - 1
                    ButtonNO.Enabled = True
                    ButtonNU.Enabled = False
                Case Else
                    ButtonNO.Enabled = True
                    ButtonNU.Enabled = True
            End Select
        End If

    End Sub
    Private Sub ButtonNeu_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonNeu.Click
        Dim Kto As New Konto
        ListBoxKonten.Items.Add(Kto)
        Liste_Konten.Add(Kto)
        ListBoxKonten.SelectedItem = Kto
        Buttons_Enabled_Anpassen()
    End Sub

    Private Sub ButtonLoeschen_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonLoeschen.Click
        If System.Windows.Forms.MessageBox.Show("Konto wirklich lschen?", "Briefdatenbank", Windows.Forms.MessageBoxButtons.YesNo, Windows.Forms.MessageBoxIcon.Question) = Windows.Forms.DialogResult.No Then
            Exit Sub
        End If
        Dim SelIndex As Integer = ListBoxKonten.SelectedIndex
        Dim Selkonto As Konto = ListBoxKonten.SelectedItem
        Dim NewItem As Konto
        If SelIndex > 0 Then
            NewItem = ListBoxKonten.Items(SelIndex - 1)
        Else
            NewItem = ListBoxKonten.Items(SelIndex + 1)
        End If
        ListBoxKonten.SelectedItem = NewItem
        ListBoxKonten.Items.Remove(Selkonto)
        Liste_Konten.Remove(Selkonto)
        Buttons_Enabled_Anpassen()
    End Sub

    Private Sub ButtonNO_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonNO.Click
        Dim DelKonto As Konto = ListBoxKonten.Items(ListBoxKonten.SelectedIndex - 1)
        Dim NewKonto As Konto = DelKonto.Clone
        ListBoxKonten.Items.Insert(ListBoxKonten.SelectedIndex + 1, NewKonto)
        Liste_Konten.Insert(ListBoxKonten.SelectedIndex + 1, NewKonto)
        ListBoxKonten.Items.Remove(DelKonto)
        Liste_Konten.Remove(DelKonto)
        Buttons_Enabled_Anpassen()
    End Sub

    Private Sub ButtonNU_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonNU.Click
        Dim DelKonto As Konto = ListBoxKonten.Items(ListBoxKonten.SelectedIndex + 1)
        Dim NewKonto As Konto = DelKonto.Clone
        ListBoxKonten.Items.Remove(DelKonto)
        Liste_Konten.Remove(DelKonto)
        Liste_Konten.Insert(ListBoxKonten.SelectedIndex, NewKonto)
        ListBoxKonten.Items.Insert(ListBoxKonten.SelectedIndex, NewKonto)
        Buttons_Enabled_Anpassen()
    End Sub
#End Region

   
End Class