Public Class PKVLeistung
    Private m_Ziffer As String = ""
    Private m_Text As String = ""
    Private m_Punktzahl As Integer = 0
    Private m_MaxFaktor As Decimal = CDec(0)
    Private m_IstFestWert As Boolean = False
    Private m_Festwert As Decimal = CDec(0)
    Public Event Ziffer_Geaendert()
    Public Event Text_Geaendert()
    Public Event Punktzahl_Geaendert()
    Public Event MaxFaktor_Geaendert()
    Public Event IstFestWert_Geaendert()
    Public Event Festwert_Geaendert()
    Public Sub New(ByVal Ziffer As String, ByVal Text As String)
        m_Ziffer = Ziffer.Trim
        m_Text = Text.Trim
        m_MaxFaktor = CDec(2.3)
    End Sub
    Public Sub New(ByVal Ziffer As String, ByVal Text As String, ByVal Punktzahl As Integer, ByVal MaxFaktor As Decimal, ByVal IstFestWert As Boolean, ByVal Festwert As Decimal)
        m_Ziffer = Ziffer
        m_Text = Text
        m_Punktzahl = Punktzahl
        m_MaxFaktor = MaxFaktor
        m_IstFestWert = IstFestWert
        m_Festwert = Festwert
    End Sub
    Property Ziffer() As String
        Get
            Return m_Ziffer
        End Get
        Set(ByVal Value As String)
            m_Ziffer = Value.Trim
            RaiseEvent Ziffer_Geaendert()
        End Set
    End Property
    Property Text() As String
        Get
            Return m_Text
        End Get
        Set(ByVal Value As String)
            m_Text = Value.Trim
            RaiseEvent Text_Geaendert()
        End Set
    End Property
    Property Punktzahl() As Integer
        Get
            Return m_Punktzahl
        End Get
        Set(ByVal Value As Integer)
            m_Punktzahl = Value
            RaiseEvent Punktzahl_Geaendert()
        End Set
    End Property
    Property MaxFaktor() As Decimal
        Get
            Return m_MaxFaktor
        End Get
        Set(ByVal Value As Decimal)
            m_MaxFaktor = Value
            RaiseEvent MaxFaktor_Geaendert()
        End Set
    End Property
    Property IstFestWert() As Boolean
        Get
            Return m_IstFestWert
        End Get
        Set(ByVal Value As Boolean)
            m_IstFestWert = Value
            RaiseEvent IstFestWert_Geaendert()
        End Set
    End Property
    Property Festwert() As Decimal
        Get
            Return m_Festwert
        End Get
        Set(ByVal Value As Decimal)
            m_Festwert = Value
            RaiseEvent Festwert_Geaendert()
        End Set
    End Property
    Public Overrides Function ToString() As String
        Return m_Ziffer & " " & m_Text
    End Function
End Class
