<Serializable()> Public Class TableCell
    Private m_Borders As TableCellBorders
    Private m_Paragraph As TextParagraph
    Private m_VerticalAlignment As TableCellVerticalAlignments = TableCellVerticalAlignments.Top
    Public Sub New()
        m_Borders = New TableCellBorders
        m_Paragraph = New TextParagraph
    End Sub
    ReadOnly Property Borders() As TableCellBorders
        Get
            Return m_Borders
        End Get
    End Property
    ReadOnly Property Paragraph() As TextParagraph
        Get
            Return m_Paragraph
        End Get
    End Property
    ReadOnly Property TextEintraege() As List(Of TextEintrag)
        Get
            Return m_Paragraph.TextEintraege
        End Get
    End Property
    Property VerticalAlignment() As TableCellVerticalAlignments
        Get
            Return m_VerticalAlignment
        End Get
        Set(ByVal Value As TableCellVerticalAlignments)
            m_VerticalAlignment = Value
        End Set
    End Property
End Class

