Imports Briefdatenbank.Plugin.Common
Public Class frm_Arbeit1
    Implements Briefdatenbank.Plugin.Common.IPlugInForm

#Region "Constructor "
    Public Sub New()
        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
    End Sub
    Public Sub New(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        DatenUebernahme(Daten)
    End Sub
    Public Overrides Sub DatenUebernahme(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten)
        MyBase.DatenUebernahme(Daten)

        ReadDataFromDataSetString(Daten)

        Werte_OhneEventsLesen()
        MakeOKCheck()
        m_Initialisierung = False
        Summe_Berechnen()
    End Sub
    Public Overrides Sub Werte_OhneEventsLesen()
        MyBase.Werte_OhneEventsLesen()

    End Sub
    Public ReadOnly Property Result() As Common.PlugInResult Implements Common.IPlugInForm.Result
        Get
            Return m_Result
        End Get
    End Property
#End Region

#Region " OKCheck "
    Overrides Function CheckOK() As Boolean
        If MyBase.CheckOK Then
            If Me.NachnameAlphaNumericTextBox.Text.Trim = "" Then Return False
            If Me.VornameAlphaNumericTextBox.Text.Trim = "" Then Return False
            If Me.WohnhaftAlphaNumericTextBox.Text.Trim = "" Then Return False
            If Me.GeborenDateTextBox.ErrorMessage <> "" Then Return False
            If Me.VerstorbenDateTextBox.ErrorMessage <> "" Then Return False
            Return True
        End If
        Return False
    End Function
    Overrides Sub MakeOKCheck()
        Me.ButtonOK.Enabled = CheckOK()
    End Sub
#End Region


    Public Sub ReadDataFromDataSetString(ByVal Daten As Briefdatenbank.Plugin.Common.PlugInUebergabeDaten) Implements Common.IPlugInForm.ReadDataFromDataSetString
        If Daten.XMLWert <> "" Then
            Dim DS As New BasisDataSet
            Dim Reader As New System.IO.StringReader(Daten.XMLWert)
            DS.ReadXml(Reader)
            Dim Rw As BasisDataSet.EinfachRow = DS.Einfach.Rows(0)

            Me.RechungNummerTextBox.Text = Rw.RechnungsNummer
            Me.BriefdatumDateTextBox.Text = Rw.Briefdatum
            Me.BetreffTextBox.Text = Rw.Betreff

            Me.NachnameAlphaNumericTextBox.Text = Rw.Nachname
            Me.VornameAlphaNumericTextBox.Text = Rw.Vorname
            Me.WohnhaftAlphaNumericTextBox.Text = Rw.wohnhaft

            Me.weiblichCheckBox.Checked = Rw.weiblich
            Me.GeborenDateTextBox.Text = Rw.geboren
            Me.VerstorbenDateTextBox.Text = Rw.verstorben

            For Each o As Object In Me.ComboBoxWegegeld.Items
                If o.ToString = Rw.WegegeldText Then
                    ComboBoxWegegeld.SelectedItem = o
                    Exit For
                End If
            Next

            Me.ComboBoxFaktor.Text = Rw.MaxFaktorText
            Me.CheckBoxMinusZehnProzent.Checked = Rw.MinusZehnProzent


            Me.ComboBoxFrist.Text = Rw.Frist
            Me.KontenAuswahl1.Konto_Von_Aussen_Einstellen(Rw.Konto)

        End If
    End Sub

    Public Sub WriteDataToDataSetString() Implements Common.IPlugInForm.WriteDataToDataSetString
        Dim DS As New BasisDataSet
        Dim Rw As BasisDataSet.EinfachRow = DS.Einfach.NewRow

        Rw.RechnungsNummer = Me.RechungNummerTextBox.Text
        Rw.Briefdatum = Me.BriefdatumDateTextBox.Text
        Rw.Betreff = Me.BetreffTextBox.Text

        Rw.Nachname = Me.NachnameAlphaNumericTextBox.Text
        Rw.Vorname = Me.VornameAlphaNumericTextBox.Text
        Rw.wohnhaft = Me.WohnhaftAlphaNumericTextBox.Text

        Rw.weiblich = Me.weiblichCheckBox.Checked
        Rw.geboren = CDate(Me.GeborenDateTextBox.Text)
        Rw.verstorben = CDate(Me.VerstorbenDateTextBox.Text)

        Rw.WegegeldText = Me.ComboBoxWegegeld.Text

        Rw.MaxFaktorText = Me.ComboBoxFaktor.Text
        Rw.MinusZehnProzent = Me.CheckBoxMinusZehnProzent.Checked

        Rw.Frist = Me.ComboBoxFrist.Text
        Rw.Konto = Me.KontenAuswahl1.AktuellesKonto.Name

        DS.Einfach.Rows.Add(Rw)


        Dim sB As New System.Text.StringBuilder
        Dim writer As New System.IO.StringWriter(sB)
        DS.WriteXml(writer)

        m_Result.PersistText = sB.ToString
    End Sub

    Private Sub CheckBoxMinusZehnProzent_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBoxMinusZehnProzent.CheckedChanged
        If m_Initialisierung Then Exit Sub
        Summe_Berechnen()
    End Sub

    Private Sub ComboBoxFaktor_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBoxFaktor.SelectedIndexChanged
        If m_Initialisierung Then Exit Sub
        Summe_Berechnen()
        MakeOKCheck()
    End Sub

    Private Sub ComboBoxWegegeld_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ComboBoxWegegeld.SelectedIndexChanged
        If m_Initialisierung Then Exit Sub
        Summe_Berechnen()
    End Sub

    Private m_TotenscheinEinfach As Decimal = 14.57D
    Private m_Summe As Decimal = 0D
    Private m_Betrag_Leichenschau As Decimal = 0D
    Private m_BetragWegegeld As Decimal = 0D
    Private m_Betrag_Zwischensumme As Decimal = 0D
    Private m_Betrag_OstAbschlag As Decimal = 0D
    Private Sub Summe_Berechnen()
        m_Summe = 0
        m_Betrag_Leichenschau = 0D
        m_BetragWegegeld = 0D
        m_Betrag_OstAbschlag = 0D

        If m_Initialisierung Then Exit Sub
        m_Betrag_Leichenschau = m_TotenscheinEinfach * CDec(Me.ComboBoxFaktor.Text)
        m_BetragWegegeld = Me.m_Wegegeldeintrag.Summe

        m_Betrag_Zwischensumme = m_Betrag_Leichenschau + m_BetragWegegeld

        Dim AddWert As Decimal = 0D
        If Me.CheckBoxMinusZehnProzent.Checked Then
            m_Betrag_OstAbschlag = m_Betrag_Zwischensumme / 10D
            m_Betrag_OstAbschlag = Math.Round(m_Betrag_OstAbschlag, 2)
        End If

        m_Summe = m_Betrag_Zwischensumme - m_Betrag_OstAbschlag

        Me.RechnungsbetragTextBox.Text = m_Summe.ToString("c")
    End Sub


    Private Sub ButtonOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonOK.Click
        Me.KontenAuswahl1.Speichern()
        WriteResultText()
        WriteDataToDataSetString()
    End Sub
    Private Sub WriteResultText()
        Dim P As Briefdatenbank.Plugin.Common.TextParagraph
        Dim Tab As Briefdatenbank.Plugin.Common.Table

        m_Result.Datum = CDate(Me.BriefdatumDateTextBox.Text)
        m_Result.BetreffText = Me.BetreffTextBox.Text.Trim
        m_Result.RechnungsNummer = Me.RechungNummerTextBox.Text.Trim


        P = New TextParagraph
        P.Alignment = ParagraphAlignments.Block
        P.TextEintraege.Add(New Briefdatenbank.Plugin.Common.TextEintrag("fr die Leichenschau und Ausstellung des Totenscheins fr"))

        If Me.weiblichCheckBox.Checked Then
            P.TextEintraege.Add(New TextEintrag("Frau"))
        Else
            P.TextEintraege.Add(New TextEintrag("Herrn"))
        End If

        P.TextEintraege.Add(New TextEintrag(Me.NachnameAlphaNumericTextBox.Text.Trim, TextFormats.Bold))
        P.TextEintraege.Add(New TextEintrag(","))
        P.TextEintraege.Add(New TextEintrag(Me.VornameAlphaNumericTextBox.Text.Trim, TextFormats.Bold))
        P.TextEintraege.Add(New TextEintrag(", geboren am"))

        P.TextEintraege.Add(New TextEintrag(Me.GeborenDateTextBox.Text, TextFormats.Bold))
        P.TextEintraege.Add(New TextEintrag(", verstorben am"))
        P.TextEintraege.Add(New TextEintrag(Me.VerstorbenDateTextBox.Text, TextFormats.Bold))
        P.TextEintraege.Add(New TextEintrag(", zuletzt wohnhaft"))
        P.TextEintraege.Add(New TextEintrag(Me.WohnhaftAlphaNumericTextBox.Text.Trim, TextFormats.Bold))
        P.TextEintraege.Add(New TextEintrag("stelle ich Ihnen einen Betrag in Hhe von"))
        P.TextEintraege.Add(New TextEintrag(Format(m_Summe, "c"), TextFormats.Bold))
        P.TextEintraege.Add(New TextEintrag("in Rechnung. Im folgenden erhalten Sie eine Auflistung mit Details zu den abgerechneten Leistungen."))

        m_Result.Liste_Texte.Add(P)

        P = New TextParagraph
        m_Result.Liste_Texte.Add(P)
        P.TextEintraege.Add(New TextEintrag("Leistungen", TextFormats.Bold))


        If Me.CheckBoxMinusZehnProzent.Checked Then
            Tab = New Table(6, 5)
        Else
            Tab = New Table(4, 5)
        End If

        Tab.Cells(0, 0).TextEintraege.Add(New TextEintrag("Datum"))
        Tab.Cells(0, 1).TextEintraege.Add(New TextEintrag("Ziffer"))
        Tab.Cells(0, 2).TextEintraege.Add(New TextEintrag("Text"))
        Tab.Cells(0, 3).TextEintraege.Add(New TextEintrag("Faktor"))
        Tab.Cells(0, 4).TextEintraege.Add(New TextEintrag("Betrag"))
        Tab.SetHorizontalLine(0, True, TableCellBorderStyles.Einfach)

        Tab.Cells(0, 0).TextEintraege.Add(New TextEintrag(Format(Me.BriefdatumDateTextBox.Text, "d")))
        Tab.Cells(1, 1).TextEintraege.Add(New TextEintrag("100"))
        Tab.Cells(1, 2).TextEintraege.Add(New TextEintrag("Untersuchung eines Toten - einschlielich Feststellung des Todes und Ausstellung des Leichenschauscheines"))
        Tab.Cells(1, 3).TextEintraege.Add(New TextEintrag(Me.ComboBoxFaktor.Text.Trim))
        Tab.Cells(1, 4).TextEintraege.Add(New TextEintrag(Format(m_Betrag_Leichenschau, "c")))

        Tab.Cells(2, 1).TextEintraege.Add(New TextEintrag("-"))
        Tab.Cells(2, 2).TextEintraege.Add(New TextEintrag("Wegegeld " & Me.ComboBoxWegegeld.Text))
        Tab.Cells(2, 3).TextEintraege.Add(New TextEintrag("-"))
        Tab.Cells(2, 4).TextEintraege.Add(New TextEintrag(Format(m_BetragWegegeld, "c")))
        Tab.SetHorizontalLine(2, True, TableCellBorderStyles.Einfach)

        Dim LetzteZeilenNr As Integer = 3
        If Me.CheckBoxMinusZehnProzent.Checked Then
            Tab.Cells(3, 0).TextEintraege.Add(New TextEintrag("Zwischensumme", TextFormats.Bold))
            Tab.Cells(3, 4).TextEintraege.Add(New TextEintrag(Format(m_Betrag_Zwischensumme, "c"), TextFormats.Bold))
            Tab.Cells(4, 0).TextEintraege.Add(New TextEintrag("10% Ostabschlag"))
            Tab.Cells(4, 4).TextEintraege.Add(New TextEintrag("-" & Format(m_Betrag_OstAbschlag, "c")))
            Tab.SetHorizontalLine(4, True, TableCellBorderStyles.Einfach)

            LetzteZeilenNr = 5
        End If

        Tab.Cells(LetzteZeilenNr, 0).TextEintraege.Add(New TextEintrag("Gesamt", TextFormats.Bold))
        Tab.Cells(LetzteZeilenNr, 4).TextEintraege.Add(New TextEintrag(Format(m_Summe, "c"), TextFormats.Bold))
        Tab.Cells(LetzteZeilenNr, 4).Borders.BottomBorder = TableCellBorderStyles.Doppelt

        For I As Integer = 0 To Tab.NumRows - 1
            Tab.Cells(I, 4).Paragraph.Alignment = ParagraphAlignments.Right
            Tab.Cells(I, 4).VerticalAlignment = TableCellVerticalAlignments.Bottom
        Next

        m_Result.Liste_Texte.Add(Tab)

        m_Result.Geldbetrag = m_Summe * CDec(-1)

        m_Result.Liste_Texte.Add(KontenAuswahl1.ToRechnungsTextParagraph(m_Summe, Me.RechungNummerTextBox.Text, Spaetestdatum))
        m_Result.Liste_Texte.Add(KontenAuswahl1.ToKontoTable)

    End Sub

    Private Sub AlphaNumericTextBoxNachname_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NachnameAlphaNumericTextBox.TextChanged
        If m_Initialisierung Then Exit Sub
        Betreff_Ermitteln()
        MakeOKCheck()
    End Sub

    Private Sub VornameAlphaNumericTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles VornameAlphaNumericTextBox.TextChanged
        If m_Initialisierung Then Exit Sub
        Betreff_Ermitteln()
        MakeOKCheck()
    End Sub

    Private Sub Betreff_Ermitteln()
        Me.BetreffTextBox.Text = "Rechnung zur Leichenschau fr " & Me.NachnameAlphaNumericTextBox.Text.Trim & ", " & Me.VornameAlphaNumericTextBox.Text.Trim
    End Sub

    Private Sub WohnhaftAlphaNumericTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles WohnhaftAlphaNumericTextBox.TextChanged
        MakeOKCheck()
    End Sub


    Private Sub GeborenDateTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GeborenDateTextBox.TextChanged
        MakeOKCheck()
    End Sub

    Private Sub VerstorbenDateTextBox_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles VerstorbenDateTextBox.TextChanged
        MakeOKCheck()
    End Sub
End Class
