Public Class AMToolStripParent
    Inherits System.Windows.Forms.ToolStripMenuItem
    Private WithEvents m_Aktion As BeschreibungParent


    Private Sub Einstellen()

        If m_Aktion.Visible Then
            Select Case m_Aktion.VisibleState
                Case VisibleStates.Disabled
                    Me.Enabled = False
                    Me.Visible = True
                Case VisibleStates.Enabled
                    Me.Enabled = True
                    Me.Visible = True
                Case VisibleStates.Invisible
                    Me.Visible = False
            End Select
            Me.Text = m_Aktion.Text

            If Me.Enabled Then
                Me.ToolTipText = m_Aktion.Beschreibung
            Else
                Me.ToolTipText = ""
            End If
        Else
            Me.Visible = False
        End If


    End Sub
    Private Sub m_Aktion_Changed() Handles m_Aktion.Changed
        Einstellen()
    End Sub

    Public Sub New()

    End Sub
    Public Sub New(ByVal Akt As BeschreibungParent)
        m_Aktion = Akt
        Einstellen()
    End Sub
End Class
