Imports System.Xml
Public Class Titelliste
    Inherits SelectedObjektliste(Of Titel)
    Overrides Sub SetSelectedElement(ByVal Value As Titel, ByVal Sender As Object)
        If m_SelectedElement IsNot Value Then
            m_SelectedElement = Value
            SelectedEventAusloesen(Value, Sender)
        End If
    End Sub

    Public Sub New()
        Standard_Titel_Herstellen()
        SetSelectedElement(Me.Item(0), Me)
    End Sub
    Public Sub New(ByVal Nd As XmlNode)
        For Each Kn As XmlNode In Nd.ChildNodes
            If Kn.Name = "Titel" Then
                Me.Add(New Titel(Kn))
            End If
        Next
        If Me.Count = 0 Then
            Standard_Titel_Herstellen()
        End If
        SetSelectedElement(Me.Item(0), Me)
    End Sub


    Public Sub WriteXML(ByVal Writer As XmlTextWriter)
        For Each A As Titel In Me
            Writer.WriteStartElement("Titel")
            A.XMLSchreiben(Writer)
            Writer.WriteEndElement()
        Next
    End Sub

    Public Sub Standard_Titel_Herstellen()
        Me.Clear()

        Me.Add(New Titel("Dr. med."))
        Me.Add(New Titel("Dipl.-med."))
        Me.Add(New Titel("Doz. Dr. med. habil."))
        Me.Add(New Titel("Professor"))
        Me.Add(New Titel("Professor Dr. med."))
        Me.Add(New Titel("Dipl.-Ing."))

    End Sub
End Class
