Public Class frm_InputBox

    Public Sub New(ByVal Meldung As String, ByVal TextVorschlag As String, ByVal Caption As String)

        ' Dieser Aufruf ist fr den Windows Form-Designer erforderlich.
        InitializeComponent()

        ' Fgen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.Icon = My.Resources.bdb2
        Me.LabelMeldung.Text = Meldung
        Me.TextBoxWert.Text = TextVorschlag
        Me.Text = Caption
    End Sub

    Private Sub TextBoxWert_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TextBoxWert.KeyDown
        If e.KeyCode = Keys.Enter Then
            If ButtonOK.Enabled Then
                Me.DialogResult = Windows.Forms.DialogResult.OK
            Else
                Me.DialogResult = Windows.Forms.DialogResult.Abort
            End If
            Me.Close()
        ElseIf e.KeyCode = Keys.Escape Then
            Me.DialogResult = Windows.Forms.DialogResult.Abort
            Me.Close()
        End If
    End Sub


    Private Sub TextBoxWert_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBoxWert.TextChanged
        If TextBoxWert.Text.Trim = "" Then
            Me.ButtonOK.Enabled = False
        Else
            Me.ButtonOK.Enabled = True
        End If
    End Sub

    Private Sub frm_InputBox_Activated(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Activated
        Me.TextBoxWert.Focus()
    End Sub

End Class